GNUCASH(1)

NAME
gnucash-cli - command line tool to go with GnuCash

SYNOPSIS
gnucash-cli [options] [ accounts.gnucash ]

DESCRIPTION
gnucash-cli enables certain intraction with a gnucash datafile directly from the command line. It has two modes: quotes mode and report mode.

Quotes Mode (activated with --quotes <cmd>)
This mode has options to get online quotes for foreign currencies and stocks in the given data file. It supports the following command:

info
    Shows Finance::Quote version and exposed quote sources.

get Retrieves online quotes. Note this requires Finance::Quote to be properly configured for your system. The get command takes the following options:

--namespace=REGEXP
    Regular expression determining which namespace commodities will be retrieved.

dump
    Fetches current quotes for specified currencies or stocks from a specified namespace and print the results to the console. This must be followed with a source and one or more symbols, unless the source is "currency" in which case it must be followed with two or more symbols, the first of which is the currency in which exchange rates for the rest will be quoted. The dump command takes the option

-v

--verbose
    Lists all of the parameters Finance::Quote returns for the symbol instead of only the ones that Gnucash requires.

Report Mode (activated with --report <cmd>)
This mode has options to work with reports in the given data file. It supports the following command:

run Runs a report on the given data file. The run command takes the following options:

--name=REPORT_NAME
    Name of the report to run

--export-type=TYPE
    Specify export type

General Options

--version
    Show GnuCash version

--help
    Show this help message

--debug
    Enable debugging mode: increasing logging to provide deep detail.

--extra
    Enable extra/development/debugging features.

--log
    Log level overrides, of the form "log.ger.path={debug,info,warn,crit,error}" This option can be specified multiple times.

--logto
    File to log into; defaults to "$TMPDIR/gnucash.trace"; use "stderr" or "stdout" to write to the terminal.

FILES
~/.gnucash/config.auto
    Automatically generated per-user configuration file. DO NOT EDIT MANUALLY!

ENVIRONMENT

GNC_DEBUG
    Enable debugging output. This allows you to turn on the debugging earlier in the startup process than you can with --debug.

GUILE_LOAD_PATH
    An override for the GnuCash scheme load path. You shouldn't need to alter this. For more information see the README file.

GNC_MODULE_PATH
    An override for the GnuCash scheme load path for Gnucash modules. You shouldn't need to alter this. For more information see the README file.

BUGS
Please report any bugs using the bug reporting form on the GnuCash web site.

SEE ALSO
GnuCash has extensive on-line help available from the "help" menu. Additional information and the latest version is available at the web site: https://www.gnucash.org

AUTHOR
Robert Merkel <rgmerk@mira.net> wrote this manpage. GnuCash was written by Robin Clark, Linas Vepstas, and a cast of thousands.